* Figure 8.1
clear
set more off

* manually create age variable
input ages 
12 
15 
18 
22 
27 
32 
37 
42 
47 
52 
57 
62 
67 
72
end 

* manually input coefficients corresponding to ages
* The coefficients are intercepts by age in a log wage regression
gen coefficients = . 
local index = 1
foreach x in -0.721 0 0.535 0.739 0.718 0.785 0.788 0.703 0.669 0.635 0.762 0.767 0.381 0.026{
	replace coefficients = `x' if _n==`index'
	local index = `index'+1
}

* constant term from the regression:
gen intercept=2.366

* wages by age: 
gen wages=exp(intercept+coefficients)
egen maxwage = max(wages)
gen wages_rel=100*wages/maxwage

twoway line wages_rel ages, lp(solid) lc(black) ///
 ylabel(0(20)120) xlabel(10(10)70) xtitle("Ages") ///
 ytitle("Wage (Percent of Maximum)") graphregion(color(white))

 graph save figure8_1.gph,replace
 
